## org.apache.batik.bridge
Class SVGUseElementBridge.CursorMouseOverListener

    java.lang.Object
      org.apache.batik.bridge.SVGUseElementBridge.CursorMouseOverListener

All Implemented Interfaces:
  EventListener

Enclosing class:
  SVGUseElementBridge

    public static class SVGUseElementBridge.CursorMouseOverListener

extends java.lang.Object
implements EventListener

To handle a mouseover on an anchor and set the cursor.

Field Summary
`protected BridgeContext` `ctx`

Constructor Summary
`SVGUseElementBridge.CursorMouseOverListener(BridgeContext ctx)`

Method Summary
`void` `handleEvent(Event evt)` This method is called whenever an event occurs of the event type for which the `EventListener` interface was registered.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctx

    protected BridgeContext ctx

Constructor Detail

### SVGUseElementBridge.CursorMouseOverListener

    public SVGUseElementBridge.CursorMouseOverListener(BridgeContext ctx)

Method Detail

### handleEvent

    public void handleEvent(Event evt)

  Description copied from interface: `EventListener`
  This method is called whenever an event occurs of the event type for which the `EventListener` interface was registered.

  Specified by:
    `handleEvent` in interface `EventListener`
  Parameters:
    `evt` - The `Event` contains contextual information about the event.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.